package com.red.circle.order.domain.payer;

import com.red.circle.tool.core.json.JacksonUtils;
import java.io.Serializable;

public class PlaceAnOrderPaymentDetail implements Serializable {
    private static final long serialVersionUID = 1L;
    private String paymentType;
    private String accountNo;
    private String email;
    private String targetOrg;

    public String toString() {
        return JacksonUtils.toJson(this);
    }

    public PlaceAnOrderPaymentDetail() {
    }

    public String getPaymentType() {
        return this.paymentType;
    }

    public String getAccountNo() {
        return this.accountNo;
    }

    public String getEmail() {
        return this.email;
    }

    public void setPaymentType(final String paymentType) {
        this.paymentType = paymentType;
    }

    public void setAccountNo(final String accountNo) {
        this.accountNo = accountNo;
    }

    public void setEmail(final String email) {
        this.email = email;
    }

    public void setTargetOrg(final String targetOrg) {
        this.targetOrg = targetOrg;
    }

    public String getTargetOrg() {
        return this.targetOrg;
    }

    public boolean equals(final Object o) {
        if (o == this) {
            return true;
        } else if (!(o instanceof PlaceAnOrderPaymentDetail)) {
            return false;
        } else {
            PlaceAnOrderPaymentDetail var2 = (PlaceAnOrderPaymentDetail)o;
            if (!var2.canEqual(this)) {
                return false;
            } else {
                label47: {
                    String var3 = this.getPaymentType();
                    String var4 = var2.getPaymentType();
                    if (var3 == null) {
                        if (var4 == null) {
                            break label47;
                        }
                    } else if (var3.equals(var4)) {
                        break label47;
                    }

                    return false;
                }

                String var5 = this.getAccountNo();
                String var6 = var2.getAccountNo();
                if (var5 == null) {
                    if (var6 != null) {
                        return false;
                    }
                } else if (!var5.equals(var6)) {
                    return false;
                }

                String var7 = this.getEmail();
                String var8 = var2.getEmail();
                if (var7 == null) {
                    if (var8 != null) {
                        return false;
                    }
                } else if (!var7.equals(var8)) {
                    return false;
                }

                return true;
            }
        }
    }

    protected boolean canEqual(final Object other) {
        return other instanceof PlaceAnOrderPaymentDetail;
    }

    public int hashCode() {
        int var1 = 1;
        String var2 = this.getPaymentType();
        var1 = var1 * 59 + (var2 == null ? 43 : var2.hashCode());
        String var3 = this.getAccountNo();
        var1 = var1 * 59 + (var3 == null ? 43 : var3.hashCode());
        String var4 = this.getEmail();
        var1 = var1 * 59 + (var4 == null ? 43 : var4.hashCode());
        return var1;
    }
}
